{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/form_forum.css' %}">
{% endblock css %}
{% block title %}
Forum
{% endblock title %}
{% block content %}
<section id="form-forum-section" style="margin-top: 20px">
    <div class="form-wrapper">
        <div class="form-top">
            <div id="title-form">
                <h1>Tambahkan Topik Baru</h1>
            </div>
            <div id="judul-film">
                <span>Judul Film: {{ film.judul }}</span>
            </div>
        </div>
        <hr>
        <div class="form-body">
            <form id="form" method="POST" action="{% url 'forum:add_new_topic_forum' id=film.id %}">
                {% csrf_token %}
                {% for field in form %}
                <div class="form-field">
                        {{ field.label_tag }}<br>
                        {{ field }}<br>
                        {% for error in field.errors %}
                        <small style="color:red;">{{error}}</small><br>
                        {% endfor %}
                </div>
                {% endfor %}
                <div id="button-form">
                    <button class="btn btn-outline-secondary btn-sm" value="submit" type="submit"> Submit</button>
                    <a class="btn btn-danger btn-sm" value={{film.id}} onclick="myFunction(this)">Cancel</a>
                </div>
            </form>
        </div>
    </div>
</section>
{% endblock content %}
{% block script %}
<script>
    function myFunction(e) {
    var id = e.getAttribute("value");
    if (confirm("Are you sure want to cancel?")) {
        window.location.href = "/forum/" + id;
    }
}


let doc = document.getElementsByTagName('input')
for (let field in doc)
    doc[field].className += "form-control"

</script>
{% endblock script %}